

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Resource Management Proxy TISCI Message Description &mdash; TISCI User Guide</title>
  

  
  
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
  

  

  
  
    

  

  
  
    <link rel="stylesheet" href="../../_static/css/theme.css" type="text/css" />
  

  
    <link rel="stylesheet" href="../../_static/theme_overrides.css" type="text/css" />
  

  
        <link rel="index" title="Index"
              href="../../genindex.html"/>
        <link rel="search" title="Search" href="../../search.html"/>
    <link rel="top" title="TISCI User Guide" href="../../index.html"/>
        <link rel="up" title="Chapter 2: TISCI Message Documentation" href="../index.html"/>
        <link rel="next" title="Resource Management Ring Accelerator TISCI Message Description" href="rm_ra.html"/>
        <link rel="prev" title="Resource Management IRQ TISCI Message Description" href="rm_irq.html"/> 

  
  <script src="../../_static/js/modernizr.min.js"></script>

</head>

<body class="wy-body-for-nav" role="document">
  <header id="tiHeader">
    <div class="top">
      <ul>
        <li id="top_logo">
          <a href="http://www.ti.com">
            <img src="../../_static/img/ti_logo.png"/>
          </a>
        </li>
      </ul>
    </div>
    <div class="nav"></div>
  </header>
  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search">
          

          
            <a href="../../index.html" class="icon icon-home"> TISCI
          

          
          </a>

          
            
            
              <div class="version">
                11.00.04
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
                <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../../1_intro/index.html">Chapter 1: Introduction</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="../index.html">Chapter 2: TISCI Message Documentation</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="../general/TISCI_header.html">Texas Instruments System Controller Interface (TISCI)</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#general">General</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#power-management-pm">Power Management (PM)</a></li>
<li class="toctree-l2 current"><a class="reference internal" href="../index.html#resource-management-rm">Resource Management (RM)</a><ul class="current">
<li class="toctree-l3"><a class="reference internal" href="rm_irq.html">Resource Management IRQ TISCI Message Description</a></li>
<li class="toctree-l3 current"><a class="current reference internal" href="#">Resource Management Proxy TISCI Message Description</a><ul>
<li class="toctree-l4"><a class="reference internal" href="#introduction">Introduction</a></li>
<li class="toctree-l4"><a class="reference internal" href="#tisci-msg-rm-proxy-cfg-proxy-configuration">TISCI_MSG_RM_PROXY_CFG - Proxy Configuration</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="rm_ra.html">Resource Management Ring Accelerator TISCI Message Description</a></li>
<li class="toctree-l3"><a class="reference internal" href="rm_udmap.html">Resource Management UDMAP TISCI Message Description</a></li>
<li class="toctree-l3"><a class="reference internal" href="rm_psil.html">Resource Management PSI-L TISCI Message Description</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#secure-management">Secure Management</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../../3_boardcfg/index.html">Chapter 3: Board Configuration</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../4_trace/index.html">Chapter 4: Interpreting Trace Data</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../5_soc_doc/index.html">Chapter 5: SoC Family Specific Documentation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../6_topic_user_guides/index.html">Chapter 6: Topic User Guides</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
        <a href="../../index.html">TISCI</a>
      </nav>


      
      <div class="wy-nav-content">
        <div class="rst-content">
          

 



<div role="navigation" aria-label="breadcrumbs navigation">
  <ul class="wy-breadcrumbs">
    <li><a href="../../index.html">Docs</a> &raquo;</li>
      
          <li><a href="../index.html">Chapter 2: TISCI Message Documentation</a> &raquo;</li>
      
    <li>Resource Management Proxy TISCI Message Description</li>
      <li class="wy-breadcrumbs-aside">
        
          
        
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="resource-management-proxy-tisci-message-description">
<h1>Resource Management Proxy TISCI Message Description<a class="headerlink" href="#resource-management-proxy-tisci-message-description" title="Permalink to this headline">¶</a></h1>
<div class="section" id="introduction">
<h2>Introduction<a class="headerlink" href="#introduction" title="Permalink to this headline">¶</a></h2>
<p>This chapter provides information on usage of the RM Proxy management
TISCI message API parameters.</p>
<table border="1" class="docutils">
<colgroup>
<col width="19%" />
<col width="81%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">TISCI Message ID</th>
<th class="head">Message Name</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>0x1300</td>
<td><a class="reference internal" href="#pub-rm-public-proxy-cfg"><span class="std std-ref">TISCI_MSG_RM_PROXY_CFG</span></a></td>
</tr>
<tr class="row-odd"><td>N/A</td>
<td><a class="reference internal" href="#pub-rm-public-proxy-cfg-response"><span class="std std-ref">TISCI_MSG_RM_PROXY_CFG Response</span></a></td>
</tr>
</tbody>
</table>
<div class="section" id="proxy-valid-parameters-field-usage">
<span id="pub-rm-public-proxy-valid-params"></span><h3>Proxy Valid Parameters Field Usage<a class="headerlink" href="#proxy-valid-parameters-field-usage" title="Permalink to this headline">¶</a></h3>
<p>Some proxy TISCI message APIs make use of a valid_params bit field.  Bits within
the valid_params field define whether or not individual TISCI message
parameters are valid.  When a bit corresponding to a parameter is set (to 1)
the parameter is considered valid and will be programmed into its
corresponding register field, assuming validation of the parameter passes.
When a valid_params bit is not set, i.e. a value of 0, the corresponding
register field is read and used within the validation process of the request.
The register field for a parameter is not programmed if the corresponding
valid_params bit is not set.</p>
</div>
</div>
<div class="section" id="tisci-msg-rm-proxy-cfg-proxy-configuration">
<h2>TISCI_MSG_RM_PROXY_CFG - Proxy Configuration<a class="headerlink" href="#tisci-msg-rm-proxy-cfg-proxy-configuration" title="Permalink to this headline">¶</a></h2>
<div class="section" id="proxy-configuration-request">
<span id="pub-rm-public-proxy-cfg"></span><h3>Proxy Configuration Request<a class="headerlink" href="#proxy-configuration-request" title="Permalink to this headline">¶</a></h3>
<p>The <strong>proxy_cfg</strong> TISCI message API is used to configure the channelized
firewalls of a Navigator Subsystem proxy.  The proxy index must be assigned to
the host defined in the TISCI header via the RM board configuration resource
assignment range list.  The channelized firewalls covering the proxy error
events are configured to only give DMSC write access.  The proxy target data
control region channelized firewalls are configured to give the assigned host
read and write access.</p>
<div class="section" id="usage">
<h4>Usage<a class="headerlink" href="#usage" title="Permalink to this headline">¶</a></h4>
<table border="1" class="docutils">
<colgroup>
<col width="75%" />
<col width="25%" />
</colgroup>
<tbody valign="top">
<tr class="row-odd"><td><strong>Message Type</strong></td>
<td>Normal</td>
</tr>
<tr class="row-even"><td><strong>Secure Queue Only?</strong></td>
<td>No</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="tisci-message-id">
<h4>TISCI Message ID<a class="headerlink" href="#tisci-message-id" title="Permalink to this headline">¶</a></h4>
<p><p><code class="docutils literal"><span class="pre">TISCI_MSG_RM_PROXY_CFG</span>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; <span class="pre">(0x1300U)</span></code></p>
<p>RM TISCI message to setup a Navigator Subsystem proxy for
 configuration</p>
</p>
</div>
<div class="section" id="proxy-configuration-message-parameters">
<h4>Proxy Configuration Message Parameters<a class="headerlink" href="#proxy-configuration-message-parameters" title="Permalink to this headline">¶</a></h4>
<p><p><strong>struct tisci_msg_rm_proxy_cfg_req</strong></p>
<p>Configures a Navigator Subsystem proxy</p>
<table border="1" class="docutils">
<colgroup>
<col width="7%" />
<col width="11%" />
<col width="82%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Parameter</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>hdr</td>
<td>struct tisci_header</td>
<td>Standard TISCI header</td>
</tr>
<tr class="row-odd"><td>valid_params</td>
<td>u32</td>
<td>Bitfield defining validity of proxy configuration parameters. This field is unused at the moment but exists if expansion of the API is needed in the future.</td>
</tr>
<tr class="row-even"><td>nav_id</td>
<td>u16</td>
<td>SoC device ID of Navigator Subsystem where proxy is located</td>
</tr>
<tr class="row-odd"><td>index</td>
<td>u16</td>
<td>Proxy index.</td>
</tr>
</tbody>
</table>
<p>Configures the channelized firewalls of a Navigator Subsystem
 proxy.  The firewalls are configured to all the header host access to the
 backing RAM and target data configuration registers.  The proxy index must
 be assigned to the host defined in the TISCI header via the RM board
 configuration resource assignment range list.</p>
</p>
</div>
</div>
<div class="section" id="proxy-configuration-response">
<span id="pub-rm-public-proxy-cfg-response"></span><h3>Proxy Configuration Response<a class="headerlink" href="#proxy-configuration-response" title="Permalink to this headline">¶</a></h3>
<p>The <strong>proxy_cfg_response</strong> message returns the result status of the
processed <strong>proxy_cfg</strong> message.</p>
<div class="section" id="proxy-configuration-response-message-parameters">
<h4>Proxy Configuration Response Message Parameters<a class="headerlink" href="#proxy-configuration-response-message-parameters" title="Permalink to this headline">¶</a></h4>
<p><p><strong>struct tisci_msg_rm_proxy_cfg_resp</strong></p>
<p>Response to configuring a proxy.</p>
<table border="1" class="docutils">
<colgroup>
<col width="23%" />
<col width="37%" />
<col width="40%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Parameter</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>hdr</td>
<td>struct tisci_header</td>
<td>Standard TISCI header</td>
</tr>
</tbody>
</table>
</p>
</div>
</div>
</div>
</div>


           </div>
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="rm_ra.html" class="btn btn-neutral float-right" title="Resource Management Ring Accelerator TISCI Message Description" accesskey="n">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
        <a href="rm_irq.html" class="btn btn-neutral" title="Resource Management IRQ TISCI Message Description" accesskey="p"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
      <a href="http://www.ti.com/corp/docs/legal/copyright.shtml">&copy; Copyright 2016-2025</a>, Texas Instruments Incorporated. All rights reserved. <br>
      <a href="http://www.ti.com/corp/docs/legal/trademark/trademrk.htm">Trademarks</a> | <a href="http://www.ti.com/corp/docs/legal/privacy.shtml">Privacy policy</a> | <a href="http://www.ti.com/corp/docs/legal/termsofuse.shtml">Terms of use</a> | <a href="http://www.ti.com/lsds/ti/legal/termsofsale.page">Terms of sale</a>

    </p>
  </div> 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  

    <script type="text/javascript">
        var DOCUMENTATION_OPTIONS = {
            URL_ROOT:'../../',
            VERSION:'11.00.04',
            COLLAPSE_INDEX:false,
            FILE_SUFFIX:'.html',
            HAS_SOURCE:  true
        };
    </script>
      <script type="text/javascript" src="../../_static/jquery.js"></script>
      <script type="text/javascript" src="../../_static/underscore.js"></script>
      <script type="text/javascript" src="../../_static/doctools.js"></script>
      <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>

    <script src="http://www.ti.com/assets/js/headerfooter/analytics.js" type="text/javascript" charset="utf-8"></script>

  

  
  
    <script type="text/javascript" src="../../_static/js/theme.js"></script>
  

  
  
  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.StickyNav.enable();
        });

      var menuHeight = window.innerHeight;

      var contentOffset = $(".wy-nav-content-wrap").offset();
      var contentHeight = $(".wy-nav-content-wrap").height();
      var contentBottom = contentOffset.top + contentHeight;

      function setNavbarTop() {
          var scrollTop = $(window).scrollTop();
          var maxTop = scrollTop + menuHeight;

          // If past the header
          if (scrollTop > contentOffset.top && maxTop < contentBottom) {
            stickyTop = scrollTop - contentOffset.top;
          } else if (maxTop > contentBottom) {
            stickyTop = scrollTop - contentOffset.top - (maxTop - contentBottom);
          } else {
            stickyTop = 0;
          }

          $(".wy-nav-side").css("top", stickyTop);
      }

      $(document).ready(function() {
        setNavbarTop();
        $(window).scroll(function () {
          setNavbarTop();
        });

        $('body').on("mousewheel", function () {
            // Remove default behavior
            event.preventDefault();
            // Scroll without smoothing
            var wheelDelta = event.wheelDelta;
            var currentScrollPosition = window.pageYOffset;
            window.scrollTo(0, currentScrollPosition - wheelDelta);
        });
      });
  </script>
   

</body>
</html>